Тема
Структура файла
Обзор файла из его текущего состояния: листы и таблицы данных с диапазонами и заголовками столбцов, диаграммы, сводные таблицы и граф зависимостей код-ячеек. Удобно как первый запрос перед чтением и правками.
GET
/v1/files/{file_uuid}/context
Авторизация
apiToken
Токен из настроек пространства (значение вида tby_live_…). Заголовок: Authorization: Bearer <токен>.
Тип
HTTP (bearer)
Параметры
Параметры пути
file_uuid*
Uuid файла.
Тип
Обязательныйstring
Ответы
Успешный вызов
application/json
JSON "file_uuid": "string", "sequence_number": 0, "sheets": [ { "charts": [ { "anchor": "string", "chart_type": null, "data_range": "string", "id": "string", "name": "string", "title": "string" } ], "charts_truncated": true, "code_cells": [ { "code_preview": "string", "depends_on": [ "string" ], "depends_on_truncated": true, "error": "string", "has_error": true, "language": null, "pos": "string", "std_err": "string", "total_depends_on": 0 } ], "code_cells_truncated": true, "id": "string", "name": "string", "pivot_tables": [ { "bounds": "string", "columns": [ "string" ], "filters": [ "string" ], "name": "string", "rows": [ "string" ], "source": "string", "values": [ "string" ] } ], "tables": [ { "anchor": "string", "cols": 0, "columns": [ "string" ], "columns_truncated": true, "is_code": true, "name": "string", "range": "string", "rows": 0, "total_columns": 0 } ], "tables_truncated": true, "total_charts": 0, "total_code_cells": 0, "total_tables": 0 } ], "tablos": [ { "name": "string", "tablo_id": "string", "title": "string", "widgets": [ { "id": "string", "title": "string", "type": "string" } ] } ]
{
}